/* HTMLwriter.h -- HTML output of WWW nodes
 * $Id: HTMLwriter.h,v 1.4 1995/07/14 15:57:23 connolly Exp $
 */

#ifndef HTMLwriter_h
#define HTMLwriter_h

#include "HMDoc.h"

extern HMDoc_Class HTMLwriter;


int
  SGML_replen PARAMS((CONST char* data, CONST char* specials));
/*
 * compute the length of data,
 * specials are replaced by character references.
 */

char*
  SGML_repcpy PARAMS((char* markup, CONST char* data, CONST char* specials));
/*
 * copy data to markup, replacing
 * specials by numeric character references.
 */

#endif
