/* object.h -- C++ isms for C
 * $Id: object.h,v 1.2 1995/07/14 15:57:45 connolly Exp $
 */

#include <stdlib.h>

#define NEW(type, qty) ((type*)malloc((qty) * sizeof(type)))
#define RENEW(type, old, qty) ((type*)realloc(old, qty*sizeof(type)))
#define DELETE(type, addr) (type##_dt(addr), addr ? free(addr) : (void)0)
#define FREE(addr) free((VOIDPTR)addr)
#define char_dt(addr) ((void)0)

#define ARRAYSIZE(x) (sizeof(x)/sizeof((x)[0]))

#ifndef EOF
#define EOF (-1)
#endif

